Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class MapiKey

    java.lang.Object
      |
      +--com.compoze.collab.Key
            |
            +--com.compoze.collab.exchange.MapiKey

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class MapiKey
extends Key

This class represents keys used by the MAPI Exchange provider, but can also be used with the WebDAV Exchange provider.

See Also:
  Serialized Form

Field Summary
`static MapiKey` | `ACTUAL_WORK` Key that represents the MAPI property `ACTUAL_WORK` for a task.
`static MapiKey` | `ALL_DAY_EVENT` Key that represents the MAPI property `ALL_DAY_EVENT`.
`static MapiKey` | `APPT_ABSOLUTE_END` Key that represents the MAPI property `APPT_ABSOLUTE_END` for an appointment.
`static MapiKey` | `APPT_ABSOLUTE_START` Key that represents the MAPI property `APPT_ABSOLUTE_START` for an appointment.
`static MapiKey` | `APPT_ASSOCIATED_MASTER` Key that represents the MAPI property `APPT_ASSOCIATED_MASTER`.
`static MapiKey` | `APPT_DATE_SENT` Key that represents the MAPI property `APPT_DATE_SENT` for an appointment.
`static MapiKey` | `APPT_END` Key that represents the MAPI property `APPT_END`.
`static MapiKey` | `APPT_IS_RECURRING` Key that represents the MAPI property `APPT_IS_RECURRING`.
`static MapiKey` | `APPT_LOCATION` Key that represents the MAPI property `APPT_LOCATION`.
`static MapiKey` | `APPT_START` Key that represents the MAPI property `APPT_START`.
`static MapiKey` | `APPT_TIMEZONE_INFO` Key that represents the MAPI property `APPT_TIMEZONE_INFO` for an appointment.
`static MapiKey` | `APPT_TIMEZONE_STRING` Key that represents the MAPI property `APPT_TIMEZONE_STRING` for an appointment.
`static MapiKey` | `ASSOCIATED_APPT_LINK` Key that represents the MAPI property `ASSOCIATED_APPT_LINK` for a meeting request.
`static MapiKey` | `ASSOCIATED_INSTANCE_LINK` Key that represents the MAPI property `ASSOCIATED_INSTANCE_LINK` for a meeting request.
`static MapiKey` | `ASSOCIATED_ITEM` Key that represents the MAPI property `REQUEST_ASSOCIATED_TASK` for a task.
`static MapiKey` | `BILLING_INFO` Key that represents the MAPI property `BILLING_INFO` for a message.
`static MapiKey` | `BUSINESS_ADDRESS` Key that represents the MAPI property `BUSINESS_ADDRESS` for a contact.
`static MapiKey` | `BUSINESS_ADDRESS_CITY` Key that represents the MAPI property `BUSINESS_ADDRESS_CITY` for a contact.
`static MapiKey` | `BUSINESS_ADDRESS_COUNTRY` Key that represents the MAPI property `BUSINESS_ADDRESS_COUNTRY` for a contact.
`static MapiKey` | `BUSINESS_ADDRESS_POSTAL_CODE` Key that represents the MAPI property `BUSINESS_ADDRESS_POSTAL_CODE` for a contact.
`static MapiKey` | `BUSINESS_ADDRESS_STATE` Key that represents the MAPI property `BUSINESS_ADDRESS_STATE` for a contact.
`static MapiKey` | `BUSINESS_ADDRESS_STREET` Key that represents the MAPI property `BUSINESS_ADDRESS_STREET` for a contact.
`static MapiKey` | `BUSY_STATUS` Key that represents the MAPI property `BUSY_STATUS`.
`static MapiKey` | `COMPANIES` Key that represents the MAPI property `` for a task.
`static MapiKey` | `CONTACT_BILLING_INFO` Key that represents the MAPI property `BILLING_INFO` for a task.
`static MapiKey` | `CONTACT_SMTP_ADDRESS` Key that represents the MAPI property `CONTACT_SMTP_ADDRESS` for a contact.
`static MapiKey` | `DATE_COMPLETED` Key that represents the MAPI property `DATE_COMPLETED` for a task.
`static MapiKey` | `DELEGATOR` Key that represents the MAPI property `DELEGATOR` for a task.
`static MapiKey` | `DUE_DATE` Key that represents the MAPI property `DUE_DATE` for a task.
`static MapiKey` | `DURATION` Key that represents the MAPI property `DURATION`.
`static MapiKey` | `EMAIL1_ADDRESS` Key that represents the MAPI property `EMAIL1_ADDRESS` for a contact.
`static MapiKey` | `EMAIL1_ADDRESS_TYPE` Key that represents the MAPI property `EMAIL1_ADDRESS_TYPE` for a contact.
`static MapiKey` | `EMAIL1_DISPLAY_NAME` Key that represents the MAPI property `EMAIL1_DISPLAY_NAME` for a contact.
`static MapiKey` | `EMAIL2_ADDRESS` Key that represents the MAPI property `EMAIL2_ADDRESS` for a contact.
`static MapiKey` | `EMAIL2_ADDRESS_TYPE` Key that represents the MAPI property `EMAIL2_ADDRESS_TYPE` for a contact.
`static MapiKey` | `EMAIL2_DISPLAY_NAME` Key that represents the MAPI property `EMAIL2_DISPLAY_NAME` for a contact.
`static MapiKey` | `EMAIL3_ADDRESS` Key that represents the MAPI property `EMAIL3_ADDRESS` for a contact.
`static MapiKey` | `EMAIL3_ADDRESS_TYPE` Key that represents the MAPI property `EMAIL3_ADDRESS_TYPE` for a contact.
`static MapiKey` | `EMAIL3_DISPLAY_NAME` Key that represents the MAPI property `EMAIL3_DISPLAY_NAME` for a contact.
`static MapiKey` | `FILE_AS` Key that represents the MAPI property `FILE_AS` for a contact.
`static MapiKey` | `FLAG_DUE_BY` Key that represents the MAPI property `FLAG_DUE_BY` for a message.
`static MapiKey` | `FREEBUSY_ADDRESS` Key that represents the address of the free/busy entry.
`static MapiKey` | `FREEBUSY_ALL_EVENTS` Key that represents the events of 'all' free/busy data.
`static MapiKey` | `FREEBUSY_ALL_MONTHS` Key that represents the months of 'all' free/busy data.
`static MapiKey` | `FREEBUSY_BUSY_EVENTS` Key that represents the events of 'busy' free/busy data.
`static MapiKey` | `FREEBUSY_BUSY_MONTHS` Key that represents the months of 'busy' free/busy data.
`static MapiKey` | `FREEBUSY_MONTHS_TO_PUBLISH` Key that represents the local free/busy data.
`static MapiKey` | `FREEBUSY_OOF_EVENTS` Key that represents the events of 'out of office events' free/busy data.
`static MapiKey` | `FREEBUSY_OOF_MONTHS` Key that represents the months of 'out of office' public free/busy data.
`static MapiKey` | `FREEBUSY_RANGE_END` Key that represents the end of the free busy data.
`static MapiKey` | `FREEBUSY_RANGE_START` Key that represents the start of the free busy data.
`static MapiKey` | `FREEBUSY_TENTATIVE_EVENTS` Key that represents the events of 'tentative' free/busy data.
`static MapiKey` | `FREEBUSY_TENTATIVE_MONTHS` Key that represents the months of 'tentative' free/busy data.
`static MapiKey` | `HAS_REMINDER` Key that represents the MAPI property `HAS_REMINDER` for a message.
`static MapiKey` | `HIDE_ATTACHMENTS` Key that represents the MAPI property `HIDE_ATTACHMENTS`
`static MapiKey` | `IM_ADDRESS` Key that represents the MAPI property `IM_ADDRESS` for a contact.
`static MapiKey` | `INSTANCE_TYPE` Key that represents the MAPI property `INSTANCE_TYPE` for an appointment.
`static MapiKey` | `INTENDED_BUSY_STATUS` Key that represents the MAPI property `INTENDED_BUSY_STATUS`.
`static MapiKey` | `INTERNET_FREE_BUSY_ADDRESS` Key that represents the MAPI property `INTERNET_FREE_BUSY_ADDRESS` for a contact.
`static MapiKey` | `IS_COMPLETE` Key that represents the MAPI property `IS_COMPLETE` for a task.
`static MapiKey` | `IS_TEAM_TASK` Key that represents the MAPI property `IS_TEAM_TASK` for a task.
`static MapiKey` | `KEYWORDS` Key that represents Keywords (Categories) for an item.
`static MapiKey` | `LOCAL_FREEBUSY_DATA` Key that represents the local free/busy data.
`static MapiKey` | `MEETING_STATUS` Key that represents the MAPI property `MEETING_STATUS`.
`static MapiKey` | `MILEAGE` Key that represents the MAPI property `MILEAGE` for a message.
`static MapiKey` | `OTHER_ADDRESS` Key that represents the MAPI property `OTHER_ADDRESS` for a contact.
`static MapiKey` | `PERCENT_COMPLETE` Key that represents the MAPI property `PERCENT_COMPLETE` for a task.
`static MapiKey` | `PERSONAL_ADDRESS` Key that represents the MAPI property `PERSONAL_ADDRESS` for a contact.
`static MapiKey` | `PR_7BIT_DISPLAY_NAME` Key that represents the MAPI property `PR_7BIT_DISPLAY_NAME`.
`static MapiKey` | `PR_ACCOUNT` Key that represents the MAPI property `PR_ACCOUNT` for a contact.
`static MapiKey` | `PR_ADDRTYPE` Key that represents the MAPI property `PR_ADDRTYPE` for a recipient
`static MapiKey` | `PR_ASSISTANT` Key that represents the MAPI property `PR_ASSISTANT` for a contact.
`static MapiKey` | `PR_ASSISTANT_TELEPHONE_NUMBER` Key that represents the MAPI property `PR_ASSISTANT_TELEPHONE_NUMBER` for a contact.
`static MapiKey` | `PR_ATTACH_CONTENT_ID` Key that represents the MAPI property `PR_ATTACH_CONTENT_ID` for an attachment.
`static MapiKey` | `PR_ATTACH_ENCODING` Key that represents the MAPI property `PR_ATTACH_ENCODING` for an attachment.
`static MapiKey` | `PR_ATTACH_EXTENSION` Key that represents the MAPI property `PR_ATTACH_EXTENSION` for an attachment.
`static MapiKey` | `PR_ATTACH_FILENAME` Key that represents the MAPI property `PR_ATTACH_FILENAME`
`static MapiKey` | `PR_ATTACH_FLAGS` Key that represents the MAPI property `PR_ATTACH_FLAGS` for an attachment.
`static MapiKey` | `PR_ATTACH_HIDDEN` Key that represents the MAPI property `PR_ATTACH_HIDDEN` for an attachment.
`static MapiKey` | `PR_ATTACH_LONG_FILENAME` Key that represents the MAPI property `PR_ATTACH_FILENAME`
`static MapiKey` | `PR_ATTACH_METHOD` Key that represents the MAPI property `PR_ATTACH_METHOD`
`static MapiKey` | `PR_ATTACH_NUM` Key that represents the MAPI property `PR_ATTACH_NUM`.
`static MapiKey` | `PR_ATTACH_SIZE` Key that represents the MAPI property `PR_ATTACH_SIZE`
`static MapiKey` | `PR_ATTR_HIDDEN` Key that represents the MAPI property `PR_ATTR_HIDDEN`.
`static MapiKey` | `PR_BIRTHDAY` Key that represents the MAPI property `PR_BIRTHDAY` for a contact.
`static MapiKey` | `PR_BODY` Key that represents the MAPI property `PR_BODY` for a message.
`static MapiKey` | `PR_BUSINESS_ADDRESS_COUNTRY` Key that represents the MAPI property `PR_BUSINESS_ADDRESS_COUNTRY` for an address entry.
`static MapiKey` | `PR_BUSINESS_FAX_NUMBER` Key that represents the MAPI property `PR_BUSINESS_FAX_NUMBER` for a contact.
`static MapiKey` | `PR_BUSINESS2_TELEPHONE_NUMBER` Key that represents the MAPI property `PR_BUSINESS2_TELEPHONE_NUMBER` for a contact.
`static MapiKey` | `PR_BUSINESS2_TELEPHONE_NUMBER_MV` Key that represents the MAPI property `PR_BUSINESS2_TELEPHONE_NUMBER_MV` for an address entry.
`static MapiKey` | `PR_CALLBACK_TELEPHONE_NUMBER` Key that represents the MAPI property `PR_CALLBACK_TELEPHONE_NUMBER` for a contact.
`static MapiKey` | `PR_CAR_TELEPHONE_NUMBER` Key that represents the MAPI property `PR_CAR_TELEPHONE_NUMBER` for a contact.
`static MapiKey` | `PR_CELLULAR_TELEPHONE_NUMBER` Key that represents the MAPI property `PR_CELLULAR_TELEPHONE_NUMBER` for a contact.
`static MapiKey` | `PR_CHILDRENS_NAMES` Key that represents the MAPI property `PR_CHILDRENS_NAMES` for a contact.
`static MapiKey` | `PR_CLIENT_SUBMIT_TIME` Key that represents the MAPI property `PR_CLIENT_SUBMIT_TIME` for a message.
`static MapiKey` | `PR_COMPANY_MAIN_PHONE_NUMBER` Key that represents the MAPI property `PR_COMPANY_MAIN_TELEPHONE_NUMBER` for a contact.
`static MapiKey` | `PR_COMPANY_NAME` Key that represents the MAPI property `PR_COMPANY_NAME` for a contact.
`static MapiKey` | `PR_COMPUTER_NETWORK_NAME` Key that represents the MAPI property `PR_COMPUTER_NETWORK_NAME` for a contact.
`static MapiKey` | `PR_CONTAINER_CLASS` Key that represents the MAPI property `PR_CONTAINER_CLASS` for any folder
`static MapiKey` | `PR_CONTENT_COUNT` Key that represents the MAPI property `PR_CONTENT_COUNT` for a folder.
`static MapiKey` | `PR_CONTENT_UNREAD` Key that represents the MAPI property `PR_CONTENT_UNREAD` for a folder.
`static MapiKey` | `PR_CREATION_TIME` Key that represents the MAPI property `PR_CREATION_TIME` for a message.
`static MapiKey` | `PR_CREATOR_ENTRYID` Key that represents the MAPI property `PR_CREATOR_ENTRYID` for a message.
`static MapiKey` | `PR_DEPARTMENT_NAME` Key that represents the MAPI property `PR_DEPARTMENT_NAME` for a contact.
`static MapiKey` | `PR_DEPTH` Key that represents the MAPI property `PR_DEPTH`.
`static MapiKey` | `PR_DISPLAY_BCC` Key that represents the MAPI property `PR_DISPLAY_BCC`.
`static MapiKey` | `PR_DISPLAY_CC` Key that represents the MAPI property `PR_DISPLAY_CC`.
`static MapiKey` | `PR_DISPLAY_NAME` Key that represents the MAPI property `PR_DISPLAY_NAME`
`static MapiKey` | `PR_DISPLAY_NAME_PREFIX` Key that represents the MAPI property `PR_DISPLAY_NAME_PREFIX` for a contact.
`static MapiKey` | `PR_DISPLAY_TO` Key that represents the MAPI property `PR_DISPLAY_TO`.
`static MapiKey` | `PR_DISPLAY_TYPE` Key that represents the MAPI property `PR_DISPLAY_TYPE`.
`static MapiKey` | `PR_EMAIL_ADDRESS` Key that represents the MAPI property `PR_EMAIL_ADDRESS` for a recipient
`static MapiKey` | `PR_EMS_AB_ASSOC_NT_ACCOUNT` Key that represents the MAPI property `PR_EMS_AB_ASSOC_NT_ACCOUNT`.
`static MapiKey` | `PR_EMS_AB_COUNTRY_NAME` Key that represents the MAPI property `PR_EMS_AB_COUNTRY_NAME`
`static MapiKey` | `PR_END_DATE` Key that represents the MAPI property `PR_END_DATE`.
`static MapiKey` | `PR_ENTRYID` Key that represents the MAPI property `PR_ENTRYID` for an object.
`static MapiKey` | `PR_FLAG_STATUS` Key that represents the MAPI property `PR_FLAG_STATUS`.
`static MapiKey` | `PR_FLAG_TEXT` Named property key that represents the MAPI flag status text.
`static MapiKey` | `PR_FOLDER_CHILD_COUNT` Key that represents the MAPI property `PR_FOLDER_CHILD_COUNT` for a folder.
`static MapiKey` | `PR_FTP_SITE` Key that represents the MAPI property `PR_FTP_SITE` for a contact.
`static MapiKey` | `PR_GENDER` Key that represents the MAPI property `PR_GENDER` for a contact.
`static MapiKey` | `PR_GENERATION` Key that represents the MAPI property `PR_GENERATION` for a contact.
`static MapiKey` | `PR_GIVEN_NAME` Key that represents the MAPI property `PR_GIVEN_NAME` for a contact.
`static MapiKey` | `PR_HASATTACH` Key that represents the MAPI property `PR_HASATTACH` for a message.
`static MapiKey` | `PR_HOBBIES` Key that represents the MAPI property `PR_HOBBIES` for a contact.
`static MapiKey` | `PR_HOME_ADDRESS_CITY` Key that represents the MAPI property `PR_HOME_ADDRESS_CITY` for a contact.
`static MapiKey` | `PR_HOME_ADDRESS_COUNTRY` Key that represents the MAPI property `PR_HOME_ADDRESS_COUNTRY` for a contact.
`static MapiKey` | `PR_HOME_ADDRESS_POSTAL_CODE` Key that represents the MAPI property `PR_HOME_ADDRESS_POSTAL_CODE` for a contact.
`static MapiKey` | `PR_HOME_ADDRESS_STATE_OR_PROVINCE` Key that represents the MAPI property `PR_HOME_ADDRESS_STATE_OR_PROVINCE` for a contact.
`static MapiKey` | `PR_HOME_ADDRESS_STREET` Key that represents the MAPI property `PR_HOME_ADDRESS_STREET` for a contact.
`static MapiKey` | `PR_HOME_FAX_NUMBER` Key that represents the MAPI property `PR_HOME_FAX_NUMBER` for a contact.
`static MapiKey` | `PR_HOME_TELEPHONE_NUMBER` Key that represents the MAPI property `PR_HOME_TELEPHONE_NUMBER` for a contact.
`static MapiKey` | `PR_HOME2_TELEPHONE_NUMBER` Key that represents the MAPI property `PR_HOME2_TELEPHONE_NUMBER` for a contact.
`static MapiKey` | `PR_HTML` Key that represents the MAPI property `PR_HTML`.
`static MapiKey` | `PR_ICON_INDEX` Key that represents the MAPI property `PR_ICON_INDEX`.
`static MapiKey` | `PR_IMPORTANCE` Key that represent the MAPI property `PR_IMPORTANCE` for a message.
`static MapiKey` | `PR_INITIALS` Key that represents the MAPI property `PR_INITIALS` for a contact.
`static MapiKey` | `PR_INSTANCE_KEY` Key that represents the MAPI property `PR_INSTANCE_KEY`.
`static MapiKey` | `PR_ISDN_NUMBER` Key that represents the MAPI property `PR_ISDN_NUMBER` for a contact.
`static MapiKey` | `PR_LANGUAGE` Key that represents the MAPI property `PR_LANGUAGE` for a contact.
`static MapiKey` | `PR_LAST_MODIFICATION_TIME` Key that represents the MAPI property `PR_LAST_MODIFICATION_TIME` for an item.
`static MapiKey` | `PR_LOCAL_COMMIT_TIME` Key that represents the MAPI local commit time.
`static MapiKey` | `PR_LOCAL_COMMIT_TIME_MAX` Key that represents the MAPI maximum local commit time.
`static MapiKey` | `PR_LOCALITY` Key that represents the MAPI property `PR_LOCALITY` for an address entry.
`static MapiKey` | `PR_LOCATION` Key that represents the MAPI property `PR_LOCATION` for a contact.
`static MapiKey` | `PR_MANAGER_NAME` Key that represents the MAPI property `PR_MANAGER_NAME` for a contact.
`static MapiKey` | `PR_MESSAGE_ATTACHMENTS` Key that represents the MAPI property `PR_MESSAGE_RECIPIENTS` for a recipient.
`static MapiKey` | `PR_MESSAGE_CLASS` Key that represents the MAPI property `PR_MESSAGE_CLASS` for any message.
`static MapiKey` | `PR_MESSAGE_DELIVERY_TIME` Key that represents the MAPI property `PR_MESSAGE_DELIVERY_TIME` for a message.
`static MapiKey` | `PR_MESSAGE_FLAGS` Key that represents the MAPI property `PR_MESSAGE_FLAGS`.
`static MapiKey` | `PR_MESSAGE_RECIPIENTS` Key that represents the MAPI property `PR_MESSAGE_RECIPIENTS` for a recipient.
`static MapiKey` | `PR_MESSAGE_SIZE` Key that represents the MAPI property `PR_MESSAGE_SIZE` for a message.
`static MapiKey` | `PR_MIDDLE_NAME` Key that represents the MAPI property `PR_MIDDLE_NAME` for a contact.
`static MapiKey` | `PR_MOBILE_TELEPHONE_NUMBER` Key that represents the MAPI property `PR_MOBILE_TELEPHONE_NUMBER`.
`static MapiKey` | `PR_NICKNAME` Key that represents the MAPI property `PR_NICKNAME` for a contact.
`static MapiKey` | `PR_NORMALIZED_SUBJECT` Key that represents the MAPI property `PR_NORMALIZED_SUBJECT` for a message.
`static MapiKey` | `PR_OBJECT_TYPE` Key that represents the MAPI property `PR_OBJECT_TYPE` for any message.
`static MapiKey` | `PR_OFFICE_LOCATION` Key that represents the MAPI property `PR_OFFICE_LOCATION` for a contact.
`static MapiKey` | `PR_OFFICE_TELEPHONE_NUMBER` Key that represents the MAPI property `PR_OFFICE_TELEPHONE_NUMBER` for a contact.
`static MapiKey` | `PR_OrgAddrType` Key that represents the MAPI property `PR_OrgAddrType` for a recipient.
`static MapiKey` | `PR_OrgEmailAddr` Key that represents the MAPI property `PR_OrgEmailAddr` for a recipient.
`static MapiKey` | `PR_ORIGINAL_DISPLAY_BCC` Key that represents the MAPI property `PR_ORIGINAL_DISPLAY_BCC`.
`static MapiKey` | `PR_ORIGINAL_DISPLAY_CC` Key that represents the MAPI property `PR_ORIGINAL_DISPLAY_CC`.
`static MapiKey` | `PR_ORIGINAL_DISPLAY_TO` Key that represents the MAPI property `PR_ORIGINAL_DISPLAY_TO`.
`static MapiKey` | `PR_ORIGINAL_SEARCH_KEY` Key that represents the MAPI property `PR_ORIGINAL_SEARCH_KEY`.
`static MapiKey` | `PR_ORIGINAL_SENDER_ADDRTYPE` Key that represents the MAPI property `PR_ORIGINAL_SENDER_ADDRTYPE`.
`static MapiKey` | `PR_ORIGINAL_SENDER_EMAIL_ADDRESS` Key that represents the MAPI property `PR_ORIGINAL_SENDER_EMAIL_ADDRESS`.
`static MapiKey` | `PR_ORIGINAL_SENDER_ENTRYID` Key that represents the MAPI property `PR_ORIGINAL_SENDER_ENTRYID`.
`static MapiKey` | `PR_ORIGINAL_SENDER_FLAGS` Key that represents the MAPI property `PR_ORIGINAL_SENDER_FLAGS`.
`static MapiKey` | `PR_ORIGINAL_SENDER_NAME` Key that represents the MAPI property `PR_ORIGINAL_SENDER_NAME`.
`static MapiKey` | `PR_ORIGINAL_SENDER_SEARCH_KEY` Key that represents the MAPI property `PR_ORIGINAL_SENDER_SEARCH_KEY`.
`static MapiKey` | `PR_ORIGINAL_SENT_REPRESENTING_ADDRTYPE` Key that represents the MAPI property `PR_ORIGINAL_SENT_REPRESENTING_ADDRTYPE`.
`static MapiKey` | `PR_ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS` Key that represents the MAPI property `PR_ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS`.
`static MapiKey` | `PR_ORIGINAL_SENT_REPRESENTING_ENTRYID` Key that represents the MAPI property `PR_ORIGINAL_SENT_REPRESENTING_ENTRYID`.
`static MapiKey` | `PR_ORIGINAL_SENT_REPRESENTING_FLAGS` Key that represents the MAPI property `PR_ORIGINAL_SENT_REPRESENTING_FLAGS`.
`static MapiKey` | `PR_ORIGINAL_SENT_REPRESENTING_NAME` Key that represents the MAPI property `PR_ORIGINAL_SENT_REPRESENTING_NAME`.
`static MapiKey` | `PR_ORIGINAL_SENT_REPRESENTING_SEARCH_KEY` Key that represents the MAPI property `PR_ORIGINAL_SENT_REPRESENTING_SEARCH_KEY`.
`static MapiKey` | `PR_ORIGINAL_SUBJECT` Key that represents the MAPI property `PR_ORIGINAL_SUBJECT`.
`static MapiKey` | `PR_ORIGINAL_SUBMIT_TIME` Key that represents the MAPI property `PR_ORIGINAL_SUBMIT_TIME`.
`static MapiKey` | `PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED` Key that represents the MAPI property `PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED`
`static MapiKey` | `PR_OTHER_ADDRESS_CITY` Key that represents the MAPI property `PR_OTHER_ADDRESS_CITY` for a contact.
`static MapiKey` | `PR_OTHER_ADDRESS_COUNTRY` Key that represents the MAPI property `PR_OTHER_ADDRESS_COUNTRY` for a contact.
`static MapiKey` | `PR_OTHER_ADDRESS_POSTAL_CODE` Key that represents the MAPI property `PR_OTHER_ADDRESS_POSTAL_CODE` for a contact.
`static MapiKey` | `PR_OTHER_ADDRESS_STATE_OR_PROVINCE` Key that represents the MAPI property `PR_OTHER_ADDRESS_STATE_OR_PROVINCE` for a contact.
`static MapiKey` | `PR_OTHER_ADDRESS_STREET` Key that represents the MAPI property `PR_OTHER_ADDRESS_STREET` for a contact.
`static MapiKey` | `PR_OTHER_TELEPHONE_NUMBER` Key that represents the MAPI property `PR_OTHER_TELEPHONE_NUMBER` for a contact.
`static MapiKey` | `PR_PAGER_TELEPHONE_NUMBER` Key that represents the MAPI property `PR_PAGER_TELEPHONE_NUMBER` for a contact.
`static MapiKey` | `PR_PARENT_ENTRYID` Key that represents the MAPI property `PR_PARENT_ENTRYID` for any item or folder.
`static MapiKey` | `PR_PERSONAL_HOME_PAGE` Key that represents the MAPI property `PR_PERSONAL_HOME_PAGE` for a contact.
`static MapiKey` | `PR_POSTAL_ADDRESS` Key that represents the MAPI property `PR_POSTAL_ADDRESS` for a contact.
`static MapiKey` | `PR_POSTAL_CODE` Key that represents the MAPI property `PR_POSTAL_CODE` for a contact.
`static MapiKey` | `PR_PRIMARY_FAX_NUMBER` Key that represents the MAPI property `PR_PRIMARY_FAX_NUMBER` for a contact.
`static MapiKey` | `PR_PRIMARY_TELEPHONE_NUMBER` Key that represents the MAPI property `PR_PRIMARY_TELEPHONE_NUMBER` for a contact.
`static MapiKey` | `PR_PRIORITY` Key that represent the MAPI property `PR_PRIORITY` for a message.
`static MapiKey` | `PR_PROFESSION` Key that represents the MAPI property `PR_PROFESSION` for a contact.
`static MapiKey` | `PR_RADIO_TELEPHONE_NUMBER` Key that represents the MAPI property `PR_RADIO_TELEPHONE_NUMBER` for a contact.
`static MapiKey` | `PR_READ_RECEIPT_REQUESTED` Key that represents the MAPI property `PR_READ_RECEIPT_REQUESTED`.
`static MapiKey` | `PR_RECIPIENT_DISPLAY_NAME` Key that represents the MAPI property `PR_RECIPIENT_DISPLAY_NAME`.
`static MapiKey` | `PR_RECIPIENT_ENTRYID` Key that represents the MAPI property `PR_RECIPIENT_ENTRYID`.
`static MapiKey` | `PR_RECIPIENT_FLAGS` Key that represents the MAPI property `PR_RECIPIENT_FLAGS`.
`static MapiKey` | `PR_RECIPIENT_TRACKSTATUS` Key that represents the MAPI property `PR_RECIPIENT_TRACKSTATUS`.
`static MapiKey` | `PR_RECIPIENT_TRACKSTATUS_TIME` Key that represents the MAPI property `PR_RECIPIENT_TRACKSTATUS_TIME`.
`static MapiKey` | `PR_RECIPIENT_TYPE` Key that represents the MAPI property `PR_RECIPIENT_TYPE` for a recipient.
`static MapiKey` | `PR_REFERRED_BY_NAME` Key that represents the MAPI property `PR_REFERRED_BY_NAME` for a contact.
`static MapiKey` | `PR_RENDERING_POSITION` Key that represents the MAPI property `PR_RENDERING_POSITION` for an attachment.
`static MapiKey` | `PR_REPORT_TEXT` Key that represents the MAPI property `PR_REPORT_TEXT`.
`static MapiKey` | `PR_REPORT_TIME` Key that represents the MAPI property `PR_REPORT_TIME`.
`static MapiKey` | `PR_RESPONSE_REQUESTED` Key that represents the MAPI property `PR_RESPONSE_REQUESTED`.
`static MapiKey` | `PR_RESPONSIBILITY` Key that represents the MAPI property `PR_RESPONSIBILITY`.
`static MapiKey` | `PR_ROWID` Key that represents the MAPI property `PR_ROWID`.
`static MapiKey` | `PR_RTF_COMPRESSED` Key that represents the MAPI property `PR_RTF_COMPRESSED`.
`static MapiKey` | `PR_SEARCH_KEY` Key that represents the MAPI property `PR_SEARCH_KEY`.
`static MapiKey` | `PR_SEND_INTERNET_ENCODING` Key that represents the MAPI property `PR_SEND_INTERNET_ENCODING`.
`static MapiKey` | `PR_SEND_RICH_INFO` Key that represents the MAPI property `PR_SEND_RICH_INFO`.
`static MapiKey` | `PR_SENDER_EMAIL_ADDRESS` Key that represents the sender address.
`static MapiKey` | `PR_SENDER_NAME` Key that represents the sender name.
`static MapiKey` | `PR_SENSITIVITY` Key that represent the MAPI property `PR_SENSITIVITY` for a message.
`static MapiKey` | `PR_SENT_REPRESENTING_ADDRTYPE` Key that represents the MAPI property `PR_SENT_REPRESENTING_ADDRTYPE`.
`static MapiKey` | `PR_SENT_REPRESENTING_EMAIL_ADDRESS` Key that represents the MAPI property `PR_SENT_REPRESENTING_EMAIL_ADDRESS`.
`static MapiKey` | `PR_SENT_REPRESENTING_ENTRYID` Key that represents the MAPI property `PR_SENT_REPRESENTING_ENTRYID`.
`static MapiKey` | `PR_SENT_REPRESENTING_NAME` Key that represents the MAPI property `PR_SENT_REPRESENTING_NAME`.
`static MapiKey` | `PR_SENT_REPRESENTING_SEARCH_KEY` Key that represents the MAPI property `PR_SENT_REPRESENTING_SEARCH_KEY`.
`static MapiKey` | `PR_SMTP_ADDRESS` Key that represents the MAPI property `PR_SMTP_ADDRESS` for a recipient.
`static MapiKey` | `PR_SPOUSE_NAME` Key that represents the MAPI property `PR_SPOUSE_NAME` for a contact.
`static MapiKey` | `PR_START_DATE` Key that represents the MAPI property `PR_START_DATE`.
`static MapiKey` | `PR_STATE_OR_PROVINCE` Key that represents the MAPI property `PR_STATE_OR_PROVINCE` for a contact.
`static MapiKey` | `PR_STORE_ENTRYID` Key that represents the MAPI property `PR_STORE_ENTRYID` for an object.
`static MapiKey` | `PR_STREET_ADDRESS` Key that represents the MAPI property `PR_STREET_ADDRESS` for a contact.
`static MapiKey` | `PR_SUBFOLDERS` Key that represents the MAPI property `PR_SUBFOLDERS`
`static MapiKey` | `PR_SUBJECT` Key that represents the MAPI property `PR_SUBJECT` for a message.
`static MapiKey` | `PR_SUBJECT_PREFIX` Key that represents the MAPI property `PR_SUBJECT_PREFIX` for a message.
`static MapiKey` | `PR_SURNAME` Key that represents the MAPI property `PR_SURNAME` for a contact.
`static MapiKey` | `PR_TELEX_NUMBER` Key that represents the MAPI property `PR_TELEX_NUMBER` for a contact.
`static MapiKey` | `PR_TITLE` Key that represents the MAPI property `PR_TITLE` for a contact.
`static MapiKey` | `PR_TRANSMITTABLE_DISPLAY_NAME` Key that represents the MAPI property `PR_RECIPIENT_DISPLAY_NAME` for a recipient.
`static MapiKey` | `PR_TTYTDD_PHONE_NUMBER` Key that represents the MAPI property `PR_TTYTDD_PHONE_NUMBER` for a contact.
`static MapiKey` | `PR_URL_COMP_NAME` Key that represents the MAPI property `PR_URL_COMP_NAME`.
`static MapiKey` | `PR_WEDDING_ANNIVERSARY` Key that represents the MAPI property `PR_WEDDING_ANNIVERSARY` for a contact.
`static java.lang.String` | `PROPSET_APPOINTMENT` The propset that is used with named properties for appointment items ({00062002-0000-0000-C000-000000000046}).
`static java.lang.String` | `PROPSET_APPOINTMENT_CUSTOM` The propset that is used with appointments ({6ED8DA90-450B-101B-98DA-00AA003F1305}).
`static java.lang.String` | `PROPSET_COMMON` The propset that is used with named properties for common items ({00062008-0000-0000-C000-000000000046}).
`static java.lang.String` | `PROPSET_CONTACT` The propset that is used with named properties for contact items ({00062004-0000-0000-C000-000000000046}).
`static java.lang.String` | `PROPSET_PUBLIC_STRINGS` The propset that is used with named properties for customized properties ({00020329-0000-0000-C000-000000000046}).
`static java.lang.String` | `PROPSET_TASK` The propset that is used with named properties for task items ({00062003-0000-0000-C000-000000000046}).
`static MapiKey` | `RECURRENCE_PATTERN` Key that represents the MAPI property `RECURRENCE_PATTERN`.
`static MapiKey` | `REMINDER_MINUTES_BEFORE_START` Key that represents the MAPI property `REMINDER_MINUTES_BEFORE_START`.
`static MapiKey` | `REPLY_TIME` Key that represents the MAPI property `REPLY_TIME`.
`static MapiKey` | `RESPONSE_STATUS` Key that represents the MAPI property `RESPONSE_STATUS`.
`static MapiKey` | `SELECTED_MAILING_ADDRESS` Key that represents the MAPI property `SELECTED_MAILING_ADDRESS` for a contact.
`static MapiKey` | `SENT_FROM` Key that represents the MAPI property `SENT_FROM`.
`static MapiKey` | `START_DATE` Key that represents the MAPI property `START_DATE` for a task.
`static MapiKey` | `TASK_IS_RECURRING` Key that represents the MAPI property `TASK_IS_RECURRING` for a task.
`static MapiKey` | `TASK_NOTICE_STATUS` Key that represents the MAPI property `TASK_NOTICE_STATUS` for a task notice.
`static MapiKey` | `TASK_OWNER` Key that represents the MAPI property `TASK_OWNER` for a task.
`static MapiKey` | `TASK_RECURRENCE_PATTERN` Key that represents the MAPI property `TASK_RECURRENCE_PATTERN` for a task.
`static MapiKey` | `TASK_REMINDER_DATE` Key that represents the MAPI property `REMINDER_DATE` for a message.
`static MapiKey` | `TASK_STATUS` Key that represents the MAPI property `TASK_STATUS` for a task.
`static MapiKey` | `TOTAL_WORK` Key that represents the MAPI property `IS_TEAM_TASK` for a task.
`static MapiKey` | `USER_FIELD1` Key that represents the MAPI property `USER_FIELD1` for a contact.
`static MapiKey` | `USER_FIELD2` Key that represents the MAPI property `USER_FIELD2` for a contact.
`static MapiKey` | `USER_FIELD3` Key that represents the MAPI property `USER_FIELD3` for a contact.
`static MapiKey` | `USER_FIELD4` Key that represents the MAPI property `USER_FIELD4` for a contact.
`static MapiKey` | `WEB_PAGE` Key that represents the MAPI property `WEB_PAGE` for a contact.

Fields inherited from class com.compoze.collab.Key
`BASE_TYPE_MASK, EMPTY_KEY_ARRAY, EMPTY_STRING, s_keyMap, VALUE_ARRAY, VALUE_BINARY, VALUE_BOOLEAN, VALUE_DATE, VALUE_DOUBLE, VALUE_ENUMELEMENT, VALUE_FLOAT, VALUE_INTEGER, VALUE_ITEM, VALUE_LONG, VALUE_SERIALIZABLE, VALUE_SHORT, VALUE_STRING, VALUE_UNKNOWN`

Method Summary
`static MapiKey` | `createKey(int iProptag)` Creates a custom MapiKey based on a property tag.
`static MapiKey` | `createKey(int iValueType, int iProptag)` Creates a custom MapiKey based on a property tag.
`static MapiKey` | `createNamedPropKey(int iValueType, java.lang.String sPropset, int iName)` Creates a MapiKey for a named property whose 'Kind' type is ID, specifying Compoze key data types.
`static MapiKey` | `createNamedPropKey(int iValueType, java.lang.String sPropset, java.lang.String sName)` Creates a MapiKey for a named property whose 'Kind' type is string, specifying Compoze key data types.
`static MapiKey` | `createNamedPropKey(java.lang.String sPropset, int iPropType, int iID)` Creates a property key based on the named property information, using MAPI property types.
`static MapiKey` | `createNamedPropKey(java.lang.String sPropset, int iPropType, java.lang.String sID)` Creates a property key based on the named property information, using MAPI property types.
`static MapiKey` | `findByName(java.lang.String sPropset, int iID)` Finds a MapiKey based on named property information.
`static MapiKey` | `findByName(java.lang.String sPropset, java.lang.String sID)` Finds a MapiKey based on named property information.
`static MapiKey` | `findByProptag(int iProptag)` Finds an exchange key based on Proptag
`java.lang.String` | `getNamedPropGuid()` Gets the named prop guid
`int` | `getNamedPropIntID()` Gets the named prop integer ID.
`int` | `getNamedPropKind()` Gets the named prop 'kind'.
`java.lang.String` | `getNamedPropStringID()` Gets the named prop string ID.
`int` | `getProptag()` Gets the Proptag.
`int` | `getPropType()` Gets the MAPI data type of this key.
`java.lang.String` | `getString()` Returns a string representation of the key
`boolean` | `isNamedProperty()` Returns if the key is a named prop.

Methods inherited from class com.compoze.collab.Key
`combine, equals, get, getID, getIntID, getValueType, getValueTypeName, hashCode, isCalculated, isReadOnly, staticValueTypeName, toString, updateDigest`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PROPSET_COMMON

    public static final java.lang.String PROPSET_COMMON

  The propset that is used with named properties for common items ({00062008-0000-0000-C000-000000000046}).

### PROPSET_APPOINTMENT

    public static final java.lang.String PROPSET_APPOINTMENT

  The propset that is used with named properties for appointment items ({00062002-0000-0000-C000-000000000046}).

### PROPSET_TASK

    public static final java.lang.String PROPSET_TASK

  The propset that is used with named properties for task items ({00062003-0000-0000-C000-000000000046}).

### PROPSET_CONTACT

    public static final java.lang.String PROPSET_CONTACT

  The propset that is used with named properties for contact items ({00062004-0000-0000-C000-000000000046}).

### PROPSET_PUBLIC_STRINGS

    public static final java.lang.String PROPSET_PUBLIC_STRINGS

  The propset that is used with named properties for customized properties ({00020329-0000-0000-C000-000000000046}).

### PROPSET_APPOINTMENT_CUSTOM

    public static final java.lang.String PROPSET_APPOINTMENT_CUSTOM

  The propset that is used with appointments ({6ED8DA90-450B-101B-98DA-00AA003F1305}).

### PR_ENTRYID

    public static final MapiKey PR_ENTRYID

  Key that represents the MAPI property `PR_ENTRYID` for an object.

### PR_STORE_ENTRYID

    public static final MapiKey PR_STORE_ENTRYID

  Key that represents the MAPI property `PR_STORE_ENTRYID` for an object.

### PR_MESSAGE_CLASS

    public static final MapiKey PR_MESSAGE_CLASS

  Key that represents the MAPI property `PR_MESSAGE_CLASS` for any message.

### PR_OBJECT_TYPE

    public static final MapiKey PR_OBJECT_TYPE

  Key that represents the MAPI property `PR_OBJECT_TYPE` for any message.

### PR_DEPTH

    public static final MapiKey PR_DEPTH

  Key that represents the MAPI property `PR_DEPTH`.

### PR_ATTR_HIDDEN

    public static final MapiKey PR_ATTR_HIDDEN

  Key that represents the MAPI property `PR_ATTR_HIDDEN`.

### PR_CONTAINER_CLASS

    public static final MapiKey PR_CONTAINER_CLASS

  Key that represents the MAPI property `PR_CONTAINER_CLASS` for any folder

### PR_PARENT_ENTRYID

    public static final MapiKey PR_PARENT_ENTRYID

  Key that represents the MAPI property `PR_PARENT_ENTRYID` for any item or folder.

### PR_DISPLAY_NAME

    public static final MapiKey PR_DISPLAY_NAME

  Key that represents the MAPI property `PR_DISPLAY_NAME`

### PR_ICON_INDEX

    public static final MapiKey PR_ICON_INDEX

  Key that represents the MAPI property `PR_ICON_INDEX`.

### HIDE_ATTACHMENTS

    public static final MapiKey HIDE_ATTACHMENTS

  Key that represents the MAPI property `HIDE_ATTACHMENTS`

### PR_URL_COMP_NAME

    public static final MapiKey PR_URL_COMP_NAME

  Key that represents the MAPI property `PR_URL_COMP_NAME`.

### KEYWORDS

    public static final MapiKey KEYWORDS

  Key that represents Keywords (Categories) for an item.

### PR_LAST_MODIFICATION_TIME

    public static final MapiKey PR_LAST_MODIFICATION_TIME

  Key that represents the MAPI property `PR_LAST_MODIFICATION_TIME` for an item.

### PR_LOCAL_COMMIT_TIME

    public static final MapiKey PR_LOCAL_COMMIT_TIME

  Key that represents the MAPI local commit time.

### PR_SUBJECT

    public static final MapiKey PR_SUBJECT

  Key that represents the MAPI property `PR_SUBJECT` for a message.

### PR_NORMALIZED_SUBJECT

    public static final MapiKey PR_NORMALIZED_SUBJECT

  Key that represents the MAPI property `PR_NORMALIZED_SUBJECT` for a message.

### PR_SUBJECT_PREFIX

    public static final MapiKey PR_SUBJECT_PREFIX

  Key that represents the MAPI property `PR_SUBJECT_PREFIX` for a message.

### PR_IMPORTANCE

    public static final MapiKey PR_IMPORTANCE

  Key that represent the MAPI property `PR_IMPORTANCE` for a message.

### PR_PRIORITY

    public static final MapiKey PR_PRIORITY

  Key that represent the MAPI property `PR_PRIORITY` for a message.

### PR_SENSITIVITY

    public static final MapiKey PR_SENSITIVITY

  Key that represent the MAPI property `PR_SENSITIVITY` for a message.

### PR_MESSAGE_DELIVERY_TIME

    public static final MapiKey PR_MESSAGE_DELIVERY_TIME

  Key that represents the MAPI property `PR_MESSAGE_DELIVERY_TIME` for a message.

### PR_MESSAGE_SIZE

    public static final MapiKey PR_MESSAGE_SIZE

  Key that represents the MAPI property `PR_MESSAGE_SIZE` for a message.

### PR_BODY

    public static final MapiKey PR_BODY

  Key that represents the MAPI property `PR_BODY` for a message.

### PR_CREATION_TIME

    public static final MapiKey PR_CREATION_TIME

  Key that represents the MAPI property `PR_CREATION_TIME` for a message.

### PR_CREATOR_ENTRYID

    public static final MapiKey PR_CREATOR_ENTRYID

  Key that represents the MAPI property `PR_CREATOR_ENTRYID` for a message.

### PR_CLIENT_SUBMIT_TIME

    public static final MapiKey PR_CLIENT_SUBMIT_TIME

  Key that represents the MAPI property `PR_CLIENT_SUBMIT_TIME` for a message.

### PR_HASATTACH

    public static final MapiKey PR_HASATTACH

  Key that represents the MAPI property `PR_HASATTACH` for a message.

### PR_MESSAGE_FLAGS

    public static final MapiKey PR_MESSAGE_FLAGS

  Key that represents the MAPI property `PR_MESSAGE_FLAGS`.

### PR_READ_RECEIPT_REQUESTED

    public static final MapiKey PR_READ_RECEIPT_REQUESTED

  Key that represents the MAPI property `PR_READ_RECEIPT_REQUESTED`.

### PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED

    public static final MapiKey PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED

  Key that represents the MAPI property `PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED`

### PR_DISPLAY_TO

    public static final MapiKey PR_DISPLAY_TO

  Key that represents the MAPI property `PR_DISPLAY_TO`.

### PR_DISPLAY_CC

    public static final MapiKey PR_DISPLAY_CC

  Key that represents the MAPI property `PR_DISPLAY_CC`.

### PR_DISPLAY_BCC

    public static final MapiKey PR_DISPLAY_BCC

  Key that represents the MAPI property `PR_DISPLAY_BCC`.

### SENT_FROM

    public static final MapiKey SENT_FROM

  Key that represents the MAPI property `SENT_FROM`.

### PR_SENT_REPRESENTING_NAME

    public static final MapiKey PR_SENT_REPRESENTING_NAME

  Key that represents the MAPI property `PR_SENT_REPRESENTING_NAME`.

### PR_SENT_REPRESENTING_EMAIL_ADDRESS

    public static final MapiKey PR_SENT_REPRESENTING_EMAIL_ADDRESS

  Key that represents the MAPI property `PR_SENT_REPRESENTING_EMAIL_ADDRESS`.

### PR_SENT_REPRESENTING_ENTRYID

    public static final MapiKey PR_SENT_REPRESENTING_ENTRYID

  Key that represents the MAPI property `PR_SENT_REPRESENTING_ENTRYID`.

### PR_SENT_REPRESENTING_ADDRTYPE

    public static final MapiKey PR_SENT_REPRESENTING_ADDRTYPE

  Key that represents the MAPI property `PR_SENT_REPRESENTING_ADDRTYPE`.

### PR_SENT_REPRESENTING_SEARCH_KEY

    public static final MapiKey PR_SENT_REPRESENTING_SEARCH_KEY

  Key that represents the MAPI property `PR_SENT_REPRESENTING_SEARCH_KEY`.

### PR_RTF_COMPRESSED

    public static final MapiKey PR_RTF_COMPRESSED

  Key that represents the MAPI property `PR_RTF_COMPRESSED`.

### PR_HTML

    public static final MapiKey PR_HTML

  Key that represents the MAPI property `PR_HTML`.

### PR_SENDER_NAME

    public static final MapiKey PR_SENDER_NAME

  Key that represents the sender name.

### PR_SENDER_EMAIL_ADDRESS

    public static final MapiKey PR_SENDER_EMAIL_ADDRESS

  Key that represents the sender address.

### PR_MESSAGE_RECIPIENTS

    public static final MapiKey PR_MESSAGE_RECIPIENTS

  Key that represents the MAPI property `PR_MESSAGE_RECIPIENTS` for a recipient.

### PR_MESSAGE_ATTACHMENTS

    public static final MapiKey PR_MESSAGE_ATTACHMENTS

  Key that represents the MAPI property `PR_MESSAGE_RECIPIENTS` for a recipient.

### PR_ORIGINAL_SENDER_FLAGS

    public static final MapiKey PR_ORIGINAL_SENDER_FLAGS

  Key that represents the MAPI property `PR_ORIGINAL_SENDER_FLAGS`.

### PR_ORIGINAL_SENT_REPRESENTING_FLAGS

    public static final MapiKey PR_ORIGINAL_SENT_REPRESENTING_FLAGS

  Key that represents the MAPI property `PR_ORIGINAL_SENT_REPRESENTING_FLAGS`.

### PR_ORIGINAL_DISPLAY_TO

    public static final MapiKey PR_ORIGINAL_DISPLAY_TO

  Key that represents the MAPI property `PR_ORIGINAL_DISPLAY_TO`.

### PR_ORIGINAL_DISPLAY_CC

    public static final MapiKey PR_ORIGINAL_DISPLAY_CC

  Key that represents the MAPI property `PR_ORIGINAL_DISPLAY_CC`.

### PR_ORIGINAL_DISPLAY_BCC

    public static final MapiKey PR_ORIGINAL_DISPLAY_BCC

  Key that represents the MAPI property `PR_ORIGINAL_DISPLAY_BCC`.

### PR_ORIGINAL_SEARCH_KEY

    public static final MapiKey PR_ORIGINAL_SEARCH_KEY

  Key that represents the MAPI property `PR_ORIGINAL_SEARCH_KEY`.

### PR_ORIGINAL_SENDER_ADDRTYPE

    public static final MapiKey PR_ORIGINAL_SENDER_ADDRTYPE

  Key that represents the MAPI property `PR_ORIGINAL_SENDER_ADDRTYPE`.

### PR_ORIGINAL_SENDER_EMAIL_ADDRESS

    public static final MapiKey PR_ORIGINAL_SENDER_EMAIL_ADDRESS

  Key that represents the MAPI property `PR_ORIGINAL_SENDER_EMAIL_ADDRESS`.

### PR_ORIGINAL_SENDER_ENTRYID

    public static final MapiKey PR_ORIGINAL_SENDER_ENTRYID

  Key that represents the MAPI property `PR_ORIGINAL_SENDER_ENTRYID`.

### PR_ORIGINAL_SENDER_NAME

    public static final MapiKey PR_ORIGINAL_SENDER_NAME

  Key that represents the MAPI property `PR_ORIGINAL_SENDER_NAME`.

### PR_ORIGINAL_SENDER_SEARCH_KEY

    public static final MapiKey PR_ORIGINAL_SENDER_SEARCH_KEY

  Key that represents the MAPI property `PR_ORIGINAL_SENDER_SEARCH_KEY`.

### PR_ORIGINAL_SENT_REPRESENTING_ADDRTYPE

    public static final MapiKey PR_ORIGINAL_SENT_REPRESENTING_ADDRTYPE

  Key that represents the MAPI property `PR_ORIGINAL_SENT_REPRESENTING_ADDRTYPE`.

### PR_ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS

    public static final MapiKey PR_ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS

  Key that represents the MAPI property `PR_ORIGINAL_SENT_REPRESENTING_EMAIL_ADDRESS`.

### PR_ORIGINAL_SENT_REPRESENTING_ENTRYID

    public static final MapiKey PR_ORIGINAL_SENT_REPRESENTING_ENTRYID

  Key that represents the MAPI property `PR_ORIGINAL_SENT_REPRESENTING_ENTRYID`.

### PR_ORIGINAL_SENT_REPRESENTING_NAME

    public static final MapiKey PR_ORIGINAL_SENT_REPRESENTING_NAME

  Key that represents the MAPI property `PR_ORIGINAL_SENT_REPRESENTING_NAME`.

### PR_ORIGINAL_SENT_REPRESENTING_SEARCH_KEY

    public static final MapiKey PR_ORIGINAL_SENT_REPRESENTING_SEARCH_KEY

  Key that represents the MAPI property `PR_ORIGINAL_SENT_REPRESENTING_SEARCH_KEY`.

### PR_ORIGINAL_SUBJECT

    public static final MapiKey PR_ORIGINAL_SUBJECT

  Key that represents the MAPI property `PR_ORIGINAL_SUBJECT`.

### PR_ORIGINAL_SUBMIT_TIME

    public static final MapiKey PR_ORIGINAL_SUBMIT_TIME

  Key that represents the MAPI property `PR_ORIGINAL_SUBMIT_TIME`.

### PR_REPORT_TEXT

    public static final MapiKey PR_REPORT_TEXT

  Key that represents the MAPI property `PR_REPORT_TEXT`.

### PR_REPORT_TIME

    public static final MapiKey PR_REPORT_TIME

  Key that represents the MAPI property `PR_REPORT_TIME`.

### PR_SUBFOLDERS

    public static final MapiKey PR_SUBFOLDERS

  Key that represents the MAPI property `PR_SUBFOLDERS`

### PR_FOLDER_CHILD_COUNT

    public static final MapiKey PR_FOLDER_CHILD_COUNT

  Key that represents the MAPI property `PR_FOLDER_CHILD_COUNT` for a folder.

### PR_CONTENT_COUNT

    public static final MapiKey PR_CONTENT_COUNT

  Key that represents the MAPI property `PR_CONTENT_COUNT` for a folder.

### PR_CONTENT_UNREAD

    public static final MapiKey PR_CONTENT_UNREAD

  Key that represents the MAPI property `PR_CONTENT_UNREAD` for a folder.

### PR_FLAG_STATUS

    public static final MapiKey PR_FLAG_STATUS

  Key that represents the MAPI property `PR_FLAG_STATUS`.

### PR_FLAG_TEXT

    public static final MapiKey PR_FLAG_TEXT

  Named property key that represents the MAPI flag status text.

### PR_LOCAL_COMMIT_TIME_MAX

    public static final MapiKey PR_LOCAL_COMMIT_TIME_MAX

  Key that represents the MAPI maximum local commit time.

### PR_ATTACH_METHOD

    public static final MapiKey PR_ATTACH_METHOD

  Key that represents the MAPI property `PR_ATTACH_METHOD`

### PR_ATTACH_NUM

    public static final MapiKey PR_ATTACH_NUM

  Key that represents the MAPI property `PR_ATTACH_NUM`.

### PR_ATTACH_SIZE

    public static final MapiKey PR_ATTACH_SIZE

  Key that represents the MAPI property `PR_ATTACH_SIZE`

### PR_ATTACH_FILENAME

    public static final MapiKey PR_ATTACH_FILENAME

  Key that represents the MAPI property `PR_ATTACH_FILENAME`

### PR_ATTACH_LONG_FILENAME

    public static final MapiKey PR_ATTACH_LONG_FILENAME

  Key that represents the MAPI property `PR_ATTACH_FILENAME`

### PR_RENDERING_POSITION

    public static final MapiKey PR_RENDERING_POSITION

  Key that represents the MAPI property `PR_RENDERING_POSITION` for an attachment.

### PR_ATTACH_FLAGS

    public static final MapiKey PR_ATTACH_FLAGS

  Key that represents the MAPI property `PR_ATTACH_FLAGS` for an attachment.

### PR_ATTACH_ENCODING

    public static final MapiKey PR_ATTACH_ENCODING

  Key that represents the MAPI property `PR_ATTACH_ENCODING` for an attachment.

### PR_ATTACH_EXTENSION

    public static final MapiKey PR_ATTACH_EXTENSION

  Key that represents the MAPI property `PR_ATTACH_EXTENSION` for an attachment.

### PR_ATTACH_HIDDEN

    public static final MapiKey PR_ATTACH_HIDDEN

  Key that represents the MAPI property `PR_ATTACH_HIDDEN` for an attachment.

### PR_ATTACH_CONTENT_ID

    public static final MapiKey PR_ATTACH_CONTENT_ID

  Key that represents the MAPI property `PR_ATTACH_CONTENT_ID` for an attachment.

### PR_RECIPIENT_TYPE

    public static final MapiKey PR_RECIPIENT_TYPE

  Key that represents the MAPI property `PR_RECIPIENT_TYPE` for a recipient.

### PR_EMAIL_ADDRESS

    public static final MapiKey PR_EMAIL_ADDRESS

  Key that represents the MAPI property `PR_EMAIL_ADDRESS` for a recipient

### PR_ADDRTYPE

    public static final MapiKey PR_ADDRTYPE

  Key that represents the MAPI property `PR_ADDRTYPE` for a recipient

### PR_SMTP_ADDRESS

    public static final MapiKey PR_SMTP_ADDRESS

  Key that represents the MAPI property `PR_SMTP_ADDRESS` for a recipient.

### PR_TRANSMITTABLE_DISPLAY_NAME

    public static final MapiKey PR_TRANSMITTABLE_DISPLAY_NAME

  Key that represents the MAPI property `PR_RECIPIENT_DISPLAY_NAME` for a recipient.

### PR_OrgEmailAddr

    public static final MapiKey PR_OrgEmailAddr

  Key that represents the MAPI property `PR_OrgEmailAddr` for a recipient.

### PR_OrgAddrType

    public static final MapiKey PR_OrgAddrType

  Key that represents the MAPI property `PR_OrgAddrType` for a recipient.

### PR_RESPONSIBILITY

    public static final MapiKey PR_RESPONSIBILITY

  Key that represents the MAPI property `PR_RESPONSIBILITY`.

### PR_INSTANCE_KEY

    public static final MapiKey PR_INSTANCE_KEY

  Key that represents the MAPI property `PR_INSTANCE_KEY`.

### PR_ROWID

    public static final MapiKey PR_ROWID

  Key that represents the MAPI property `PR_ROWID`.

### PR_SEARCH_KEY

    public static final MapiKey PR_SEARCH_KEY

  Key that represents the MAPI property `PR_SEARCH_KEY`.

### PR_DISPLAY_TYPE

    public static final MapiKey PR_DISPLAY_TYPE

  Key that represents the MAPI property `PR_DISPLAY_TYPE`.

### PR_7BIT_DISPLAY_NAME

    public static final MapiKey PR_7BIT_DISPLAY_NAME

  Key that represents the MAPI property `PR_7BIT_DISPLAY_NAME`.

### PR_SEND_RICH_INFO

    public static final MapiKey PR_SEND_RICH_INFO

  Key that represents the MAPI property `PR_SEND_RICH_INFO`.

### PR_SEND_INTERNET_ENCODING

    public static final MapiKey PR_SEND_INTERNET_ENCODING

  Key that represents the MAPI property `PR_SEND_INTERNET_ENCODING`.

### PR_RECIPIENT_DISPLAY_NAME

    public static final MapiKey PR_RECIPIENT_DISPLAY_NAME

  Key that represents the MAPI property `PR_RECIPIENT_DISPLAY_NAME`.

### PR_RECIPIENT_ENTRYID

    public static final MapiKey PR_RECIPIENT_ENTRYID

  Key that represents the MAPI property `PR_RECIPIENT_ENTRYID`.

### PR_RECIPIENT_TRACKSTATUS_TIME

    public static final MapiKey PR_RECIPIENT_TRACKSTATUS_TIME

  Key that represents the MAPI property `PR_RECIPIENT_TRACKSTATUS_TIME`.

### PR_RECIPIENT_FLAGS

    public static final MapiKey PR_RECIPIENT_FLAGS

  Key that represents the MAPI property `PR_RECIPIENT_FLAGS`.

### PR_RECIPIENT_TRACKSTATUS

    public static final MapiKey PR_RECIPIENT_TRACKSTATUS

  Key that represents the MAPI property `PR_RECIPIENT_TRACKSTATUS`.

### ACTUAL_WORK

    public static final MapiKey ACTUAL_WORK

  Key that represents the MAPI property `ACTUAL_WORK` for a task.

### BILLING_INFO

    public static final MapiKey BILLING_INFO

  Key that represents the MAPI property `BILLING_INFO` for a message.

### COMPANIES

    public static final MapiKey COMPANIES

  Key that represents the MAPI property `` for a task.

### DATE_COMPLETED

    public static final MapiKey DATE_COMPLETED

  Key that represents the MAPI property `DATE_COMPLETED` for a task.

### DUE_DATE

    public static final MapiKey DUE_DATE

  Key that represents the MAPI property `DUE_DATE` for a task.

### HAS_REMINDER

    public static final MapiKey HAS_REMINDER

  Key that represents the MAPI property `HAS_REMINDER` for a message.

### IS_COMPLETE

    public static final MapiKey IS_COMPLETE

  Key that represents the MAPI property `IS_COMPLETE` for a task.

### IS_TEAM_TASK

    public static final MapiKey IS_TEAM_TASK

  Key that represents the MAPI property `IS_TEAM_TASK` for a task.

### MILEAGE

    public static final MapiKey MILEAGE

  Key that represents the MAPI property `MILEAGE` for a message.

### PERCENT_COMPLETE

    public static final MapiKey PERCENT_COMPLETE

  Key that represents the MAPI property `PERCENT_COMPLETE` for a task.

### TASK_RECURRENCE_PATTERN

    public static final MapiKey TASK_RECURRENCE_PATTERN

  Key that represents the MAPI property `TASK_RECURRENCE_PATTERN` for a task.

### TASK_REMINDER_DATE

    public static final MapiKey TASK_REMINDER_DATE

  Key that represents the MAPI property `REMINDER_DATE` for a message.

### FLAG_DUE_BY

    public static final MapiKey FLAG_DUE_BY

  Key that represents the MAPI property `FLAG_DUE_BY` for a message.

### TOTAL_WORK

    public static final MapiKey TOTAL_WORK

  Key that represents the MAPI property `IS_TEAM_TASK` for a task.

### TASK_IS_RECURRING

    public static final MapiKey TASK_IS_RECURRING

  Key that represents the MAPI property `TASK_IS_RECURRING` for a task.

### START_DATE

    public static final MapiKey START_DATE

  Key that represents the MAPI property `START_DATE` for a task.

### TASK_STATUS

    public static final MapiKey TASK_STATUS

  Key that represents the MAPI property `TASK_STATUS` for a task.

### ASSOCIATED_ITEM

    public static final MapiKey ASSOCIATED_ITEM

  Key that represents the MAPI property `REQUEST_ASSOCIATED_TASK` for a task.

### TASK_NOTICE_STATUS

    public static final MapiKey TASK_NOTICE_STATUS

  Key that represents the MAPI property `TASK_NOTICE_STATUS` for a task notice.

### TASK_OWNER

    public static final MapiKey TASK_OWNER

  Key that represents the MAPI property `TASK_OWNER` for a task.

### DELEGATOR

    public static final MapiKey DELEGATOR

  Key that represents the MAPI property `DELEGATOR` for a task.

### PR_ACCOUNT

    public static final MapiKey PR_ACCOUNT

  Key that represents the MAPI property `PR_ACCOUNT` for a contact.

### PR_ASSISTANT_TELEPHONE_NUMBER

    public static final MapiKey PR_ASSISTANT_TELEPHONE_NUMBER

  Key that represents the MAPI property `PR_ASSISTANT_TELEPHONE_NUMBER` for a contact.

### CONTACT_BILLING_INFO

    public static final MapiKey CONTACT_BILLING_INFO

  Key that represents the MAPI property `BILLING_INFO` for a task.

### PR_BUSINESS2_TELEPHONE_NUMBER

    public static final MapiKey PR_BUSINESS2_TELEPHONE_NUMBER

  Key that represents the MAPI property `PR_BUSINESS2_TELEPHONE_NUMBER` for a contact.

### PR_PAGER_TELEPHONE_NUMBER

    public static final MapiKey PR_PAGER_TELEPHONE_NUMBER

  Key that represents the MAPI property `PR_PAGER_TELEPHONE_NUMBER` for a contact.

### PR_CALLBACK_TELEPHONE_NUMBER

    public static final MapiKey PR_CALLBACK_TELEPHONE_NUMBER

  Key that represents the MAPI property `PR_CALLBACK_TELEPHONE_NUMBER` for a contact.

### PR_CAR_TELEPHONE_NUMBER

    public static final MapiKey PR_CAR_TELEPHONE_NUMBER

  Key that represents the MAPI property `PR_CAR_TELEPHONE_NUMBER` for a contact.

### PR_COMPANY_MAIN_PHONE_NUMBER

    public static final MapiKey PR_COMPANY_MAIN_PHONE_NUMBER

  Key that represents the MAPI property `PR_COMPANY_MAIN_TELEPHONE_NUMBER` for a contact.

### PR_COMPUTER_NETWORK_NAME

    public static final MapiKey PR_COMPUTER_NETWORK_NAME

  Key that represents the MAPI property `PR_COMPUTER_NETWORK_NAME` for a contact.

### EMAIL1_ADDRESS_TYPE

    public static final MapiKey EMAIL1_ADDRESS_TYPE

  Key that represents the MAPI property `EMAIL1_ADDRESS_TYPE` for a contact.

### EMAIL1_ADDRESS

    public static final MapiKey EMAIL1_ADDRESS

  Key that represents the MAPI property `EMAIL1_ADDRESS` for a contact.

### EMAIL1_DISPLAY_NAME

    public static final MapiKey EMAIL1_DISPLAY_NAME

  Key that represents the MAPI property `EMAIL1_DISPLAY_NAME` for a contact.

### EMAIL2_ADDRESS_TYPE

    public static final MapiKey EMAIL2_ADDRESS_TYPE

  Key that represents the MAPI property `EMAIL2_ADDRESS_TYPE` for a contact.

### EMAIL2_ADDRESS

    public static final MapiKey EMAIL2_ADDRESS

  Key that represents the MAPI property `EMAIL2_ADDRESS` for a contact.

### EMAIL2_DISPLAY_NAME

    public static final MapiKey EMAIL2_DISPLAY_NAME

  Key that represents the MAPI property `EMAIL2_DISPLAY_NAME` for a contact.

### EMAIL3_ADDRESS_TYPE

    public static final MapiKey EMAIL3_ADDRESS_TYPE

  Key that represents the MAPI property `EMAIL3_ADDRESS_TYPE` for a contact.

### EMAIL3_ADDRESS

    public static final MapiKey EMAIL3_ADDRESS

  Key that represents the MAPI property `EMAIL3_ADDRESS` for a contact.

### EMAIL3_DISPLAY_NAME

    public static final MapiKey EMAIL3_DISPLAY_NAME

  Key that represents the MAPI property `EMAIL3_DISPLAY_NAME` for a contact.

### FILE_AS

    public static final MapiKey FILE_AS

  Key that represents the MAPI property `FILE_AS` for a contact.

### PR_FTP_SITE

    public static final MapiKey PR_FTP_SITE

  Key that represents the MAPI property `PR_FTP_SITE` for a contact.

### PR_GENDER

    public static final MapiKey PR_GENDER

  Key that represents the MAPI property `PR_GENDER` for a contact.

### PR_GENERATION

    public static final MapiKey PR_GENERATION

  Key that represents the MAPI property `PR_GENERATION` for a contact.

### PR_HOBBIES

    public static final MapiKey PR_HOBBIES

  Key that represents the MAPI property `PR_HOBBIES` for a contact.

### PR_HOME2_TELEPHONE_NUMBER

    public static final MapiKey PR_HOME2_TELEPHONE_NUMBER

  Key that represents the MAPI property `PR_HOME2_TELEPHONE_NUMBER` for a contact.

### PR_INITIALS

    public static final MapiKey PR_INITIALS

  Key that represents the MAPI property `PR_INITIALS` for a contact.

### INTERNET_FREE_BUSY_ADDRESS

    public static final MapiKey INTERNET_FREE_BUSY_ADDRESS

  Key that represents the MAPI property `INTERNET_FREE_BUSY_ADDRESS` for a contact.

### PR_ISDN_NUMBER

    public static final MapiKey PR_ISDN_NUMBER

  Key that represents the MAPI property `PR_ISDN_NUMBER` for a contact.

### PR_LANGUAGE

    public static final MapiKey PR_LANGUAGE

  Key that represents the MAPI property `PR_LANGUAGE` for a contact.

### PR_LOCATION

    public static final MapiKey PR_LOCATION

  Key that represents the MAPI property `PR_LOCATION` for a contact.

### PR_NICKNAME

    public static final MapiKey PR_NICKNAME

  Key that represents the MAPI property `PR_NICKNAME` for a contact.

### OTHER_ADDRESS

    public static final MapiKey OTHER_ADDRESS

  Key that represents the MAPI property `OTHER_ADDRESS` for a contact.

### PR_OTHER_ADDRESS_CITY

    public static final MapiKey PR_OTHER_ADDRESS_CITY

  Key that represents the MAPI property `PR_OTHER_ADDRESS_CITY` for a contact.

### PR_OTHER_ADDRESS_COUNTRY

    public static final MapiKey PR_OTHER_ADDRESS_COUNTRY

  Key that represents the MAPI property `PR_OTHER_ADDRESS_COUNTRY` for a contact.

### PR_OTHER_ADDRESS_POSTAL_CODE

    public static final MapiKey PR_OTHER_ADDRESS_POSTAL_CODE

  Key that represents the MAPI property `PR_OTHER_ADDRESS_POSTAL_CODE` for a contact.

### PR_OTHER_ADDRESS_STATE_OR_PROVINCE

    public static final MapiKey PR_OTHER_ADDRESS_STATE_OR_PROVINCE

  Key that represents the MAPI property `PR_OTHER_ADDRESS_STATE_OR_PROVINCE` for a contact.

### PR_OTHER_ADDRESS_STREET

    public static final MapiKey PR_OTHER_ADDRESS_STREET

  Key that represents the MAPI property `PR_OTHER_ADDRESS_STREET` for a contact.

### PR_OTHER_TELEPHONE_NUMBER

    public static final MapiKey PR_OTHER_TELEPHONE_NUMBER

  Key that represents the MAPI property `PR_OTHER_TELEPHONE_NUMBER` for a contact.

### PR_PERSONAL_HOME_PAGE

    public static final MapiKey PR_PERSONAL_HOME_PAGE

  Key that represents the MAPI property `PR_PERSONAL_HOME_PAGE` for a contact.

### PR_POSTAL_CODE

    public static final MapiKey PR_POSTAL_CODE

  Key that represents the MAPI property `PR_POSTAL_CODE` for a contact.

### PR_PRIMARY_FAX_NUMBER

    public static final MapiKey PR_PRIMARY_FAX_NUMBER

  Key that represents the MAPI property `PR_PRIMARY_FAX_NUMBER` for a contact.

### PR_PRIMARY_TELEPHONE_NUMBER

    public static final MapiKey PR_PRIMARY_TELEPHONE_NUMBER

  Key that represents the MAPI property `PR_PRIMARY_TELEPHONE_NUMBER` for a contact.

### PR_PROFESSION

    public static final MapiKey PR_PROFESSION

  Key that represents the MAPI property `PR_PROFESSION` for a contact.

### PR_RADIO_TELEPHONE_NUMBER

    public static final MapiKey PR_RADIO_TELEPHONE_NUMBER

  Key that represents the MAPI property `PR_RADIO_TELEPHONE_NUMBER` for a contact.

### PR_REFERRED_BY_NAME

    public static final MapiKey PR_REFERRED_BY_NAME

  Key that represents the MAPI property `PR_REFERRED_BY_NAME` for a contact.

### SELECTED_MAILING_ADDRESS

    public static final MapiKey SELECTED_MAILING_ADDRESS

  Key that represents the MAPI property `SELECTED_MAILING_ADDRESS` for a contact.

### PR_STATE_OR_PROVINCE

    public static final MapiKey PR_STATE_OR_PROVINCE

  Key that represents the MAPI property `PR_STATE_OR_PROVINCE` for a contact.

### PR_STREET_ADDRESS

    public static final MapiKey PR_STREET_ADDRESS

  Key that represents the MAPI property `PR_STREET_ADDRESS` for a contact.

### PR_TELEX_NUMBER

    public static final MapiKey PR_TELEX_NUMBER

  Key that represents the MAPI property `PR_TELEX_NUMBER` for a contact.

### PR_TTYTDD_PHONE_NUMBER

    public static final MapiKey PR_TTYTDD_PHONE_NUMBER

  Key that represents the MAPI property `PR_TTYTDD_PHONE_NUMBER` for a contact.

### USER_FIELD1

    public static final MapiKey USER_FIELD1

  Key that represents the MAPI property `USER_FIELD1` for a contact.

### USER_FIELD2

    public static final MapiKey USER_FIELD2

  Key that represents the MAPI property `USER_FIELD2` for a contact.

### USER_FIELD3

    public static final MapiKey USER_FIELD3

  Key that represents the MAPI property `USER_FIELD3` for a contact.

### USER_FIELD4

    public static final MapiKey USER_FIELD4

  Key that represents the MAPI property `USER_FIELD4` for a contact.

### PR_WEDDING_ANNIVERSARY

    public static final MapiKey PR_WEDDING_ANNIVERSARY

  Key that represents the MAPI property `PR_WEDDING_ANNIVERSARY` for a contact.

### PR_BIRTHDAY

    public static final MapiKey PR_BIRTHDAY

  Key that represents the MAPI property `PR_BIRTHDAY` for a contact.

### PR_CHILDRENS_NAMES

    public static final MapiKey PR_CHILDRENS_NAMES

  Key that represents the MAPI property `PR_CHILDRENS_NAMES` for a contact.

### PR_SPOUSE_NAME

    public static final MapiKey PR_SPOUSE_NAME

  Key that represents the MAPI property `PR_SPOUSE_NAME` for a contact.

### PR_ASSISTANT

    public static final MapiKey PR_ASSISTANT

  Key that represents the MAPI property `PR_ASSISTANT` for a contact.

### BUSINESS_ADDRESS_CITY

    public static final MapiKey BUSINESS_ADDRESS_CITY

  Key that represents the MAPI property `BUSINESS_ADDRESS_CITY` for a contact.

### BUSINESS_ADDRESS_COUNTRY

    public static final MapiKey BUSINESS_ADDRESS_COUNTRY

  Key that represents the MAPI property `BUSINESS_ADDRESS_COUNTRY` for a contact.

### BUSINESS_ADDRESS_POSTAL_CODE

    public static final MapiKey BUSINESS_ADDRESS_POSTAL_CODE

  Key that represents the MAPI property `BUSINESS_ADDRESS_POSTAL_CODE` for a contact.

### BUSINESS_ADDRESS_STATE

    public static final MapiKey BUSINESS_ADDRESS_STATE

  Key that represents the MAPI property `BUSINESS_ADDRESS_STATE` for a contact.

### BUSINESS_ADDRESS_STREET

    public static final MapiKey BUSINESS_ADDRESS_STREET

  Key that represents the MAPI property `BUSINESS_ADDRESS_STREET` for a contact.

### PERSONAL_ADDRESS

    public static final MapiKey PERSONAL_ADDRESS

  Key that represents the MAPI property `PERSONAL_ADDRESS` for a contact.

### BUSINESS_ADDRESS

    public static final MapiKey BUSINESS_ADDRESS

  Key that represents the MAPI property `BUSINESS_ADDRESS` for a contact.

### PR_POSTAL_ADDRESS

    public static final MapiKey PR_POSTAL_ADDRESS

  Key that represents the MAPI property `PR_POSTAL_ADDRESS` for a contact.

### PR_BUSINESS_FAX_NUMBER

    public static final MapiKey PR_BUSINESS_FAX_NUMBER

  Key that represents the MAPI property `PR_BUSINESS_FAX_NUMBER` for a contact.

### PR_COMPANY_NAME

    public static final MapiKey PR_COMPANY_NAME

  Key that represents the MAPI property `PR_COMPANY_NAME` for a contact.

### PR_DEPARTMENT_NAME

    public static final MapiKey PR_DEPARTMENT_NAME

  Key that represents the MAPI property `PR_DEPARTMENT_NAME` for a contact.

### PR_GIVEN_NAME

    public static final MapiKey PR_GIVEN_NAME

  Key that represents the MAPI property `PR_GIVEN_NAME` for a contact.

### PR_HOME_FAX_NUMBER

    public static final MapiKey PR_HOME_FAX_NUMBER

  Key that represents the MAPI property `PR_HOME_FAX_NUMBER` for a contact.

### PR_HOME_TELEPHONE_NUMBER

    public static final MapiKey PR_HOME_TELEPHONE_NUMBER

  Key that represents the MAPI property `PR_HOME_TELEPHONE_NUMBER` for a contact.

### PR_TITLE

    public static final MapiKey PR_TITLE

  Key that represents the MAPI property `PR_TITLE` for a contact.

### PR_SURNAME

    public static final MapiKey PR_SURNAME

  Key that represents the MAPI property `PR_SURNAME` for a contact.

### PR_MANAGER_NAME

    public static final MapiKey PR_MANAGER_NAME

  Key that represents the MAPI property `PR_MANAGER_NAME` for a contact.

### PR_MIDDLE_NAME

    public static final MapiKey PR_MIDDLE_NAME

  Key that represents the MAPI property `PR_MIDDLE_NAME` for a contact.

### PR_DISPLAY_NAME_PREFIX

    public static final MapiKey PR_DISPLAY_NAME_PREFIX

  Key that represents the MAPI property `PR_DISPLAY_NAME_PREFIX` for a contact.

### PR_OFFICE_LOCATION

    public static final MapiKey PR_OFFICE_LOCATION

  Key that represents the MAPI property `PR_OFFICE_LOCATION` for a contact.

### PR_OFFICE_TELEPHONE_NUMBER

    public static final MapiKey PR_OFFICE_TELEPHONE_NUMBER

  Key that represents the MAPI property `PR_OFFICE_TELEPHONE_NUMBER` for a contact.

### PR_HOME_ADDRESS_CITY

    public static final MapiKey PR_HOME_ADDRESS_CITY

  Key that represents the MAPI property `PR_HOME_ADDRESS_CITY` for a contact.

### PR_HOME_ADDRESS_COUNTRY

    public static final MapiKey PR_HOME_ADDRESS_COUNTRY

  Key that represents the MAPI property `PR_HOME_ADDRESS_COUNTRY` for a contact.

### PR_HOME_ADDRESS_POSTAL_CODE

    public static final MapiKey PR_HOME_ADDRESS_POSTAL_CODE

  Key that represents the MAPI property `PR_HOME_ADDRESS_POSTAL_CODE` for a contact.

### PR_HOME_ADDRESS_STATE_OR_PROVINCE

    public static final MapiKey PR_HOME_ADDRESS_STATE_OR_PROVINCE

  Key that represents the MAPI property `PR_HOME_ADDRESS_STATE_OR_PROVINCE` for a contact.

### PR_HOME_ADDRESS_STREET

    public static final MapiKey PR_HOME_ADDRESS_STREET

  Key that represents the MAPI property `PR_HOME_ADDRESS_STREET` for a contact.

### PR_CELLULAR_TELEPHONE_NUMBER

    public static final MapiKey PR_CELLULAR_TELEPHONE_NUMBER

  Key that represents the MAPI property `PR_CELLULAR_TELEPHONE_NUMBER` for a contact.

### CONTACT_SMTP_ADDRESS

    public static final MapiKey CONTACT_SMTP_ADDRESS

  Key that represents the MAPI property `CONTACT_SMTP_ADDRESS` for a contact.

### WEB_PAGE

    public static final MapiKey WEB_PAGE

  Key that represents the MAPI property `WEB_PAGE` for a contact.

### IM_ADDRESS

    public static final MapiKey IM_ADDRESS

  Key that represents the MAPI property `IM_ADDRESS` for a contact.

### DURATION

    public static final MapiKey DURATION

  Key that represents the MAPI property `DURATION`.

### PR_START_DATE

    public static final MapiKey PR_START_DATE

  Key that represents the MAPI property `PR_START_DATE`.

### PR_END_DATE

    public static final MapiKey PR_END_DATE

  Key that represents the MAPI property `PR_END_DATE`.

### APPT_START

    public static final MapiKey APPT_START

  Key that represents the MAPI property `APPT_START`.

### APPT_END

    public static final MapiKey APPT_END

  Key that represents the MAPI property `APPT_END`.

### ALL_DAY_EVENT

    public static final MapiKey ALL_DAY_EVENT

  Key that represents the MAPI property `ALL_DAY_EVENT`.

### APPT_IS_RECURRING

    public static final MapiKey APPT_IS_RECURRING

  Key that represents the MAPI property `APPT_IS_RECURRING`.

### APPT_LOCATION

    public static final MapiKey APPT_LOCATION

  Key that represents the MAPI property `APPT_LOCATION`.

### BUSY_STATUS

    public static final MapiKey BUSY_STATUS

  Key that represents the MAPI property `BUSY_STATUS`.

### INTENDED_BUSY_STATUS

    public static final MapiKey INTENDED_BUSY_STATUS

  Key that represents the MAPI property `INTENDED_BUSY_STATUS`.

### PR_RESPONSE_REQUESTED

    public static final MapiKey PR_RESPONSE_REQUESTED

  Key that represents the MAPI property `PR_RESPONSE_REQUESTED`.

### RESPONSE_STATUS

    public static final MapiKey RESPONSE_STATUS

  Key that represents the MAPI property `RESPONSE_STATUS`.

### MEETING_STATUS

    public static final MapiKey MEETING_STATUS

  Key that represents the MAPI property `MEETING_STATUS`.

### RECURRENCE_PATTERN

    public static final MapiKey RECURRENCE_PATTERN

  Key that represents the MAPI property `RECURRENCE_PATTERN`.

### REMINDER_MINUTES_BEFORE_START

    public static final MapiKey REMINDER_MINUTES_BEFORE_START

  Key that represents the MAPI property `REMINDER_MINUTES_BEFORE_START`.

### REPLY_TIME

    public static final MapiKey REPLY_TIME

  Key that represents the MAPI property `REPLY_TIME`.

### APPT_ASSOCIATED_MASTER

    public static final MapiKey APPT_ASSOCIATED_MASTER

  Key that represents the MAPI property `APPT_ASSOCIATED_MASTER`.

### APPT_TIMEZONE_STRING

    public static final MapiKey APPT_TIMEZONE_STRING

  Key that represents the MAPI property `APPT_TIMEZONE_STRING` for an appointment.

### APPT_TIMEZONE_INFO

    public static final MapiKey APPT_TIMEZONE_INFO

  Key that represents the MAPI property `APPT_TIMEZONE_INFO` for an appointment.

### ASSOCIATED_APPT_LINK

    public static final MapiKey ASSOCIATED_APPT_LINK

  Key that represents the MAPI property `ASSOCIATED_APPT_LINK` for a meeting request.

### ASSOCIATED_INSTANCE_LINK

    public static final MapiKey ASSOCIATED_INSTANCE_LINK

  Key that represents the MAPI property `ASSOCIATED_INSTANCE_LINK` for a meeting request.

### APPT_ABSOLUTE_START

    public static final MapiKey APPT_ABSOLUTE_START

  Key that represents the MAPI property `APPT_ABSOLUTE_START` for an appointment.

### APPT_ABSOLUTE_END

    public static final MapiKey APPT_ABSOLUTE_END

  Key that represents the MAPI property `APPT_ABSOLUTE_END` for an appointment.

### INSTANCE_TYPE

    public static final MapiKey INSTANCE_TYPE

  Key that represents the MAPI property `INSTANCE_TYPE` for an appointment. This field may not be available for Exchange 5.5 based appointments.

### APPT_DATE_SENT

    public static final MapiKey APPT_DATE_SENT

  Key that represents the MAPI property `APPT_DATE_SENT` for an appointment.

### PR_BUSINESS2_TELEPHONE_NUMBER_MV

    public static final MapiKey PR_BUSINESS2_TELEPHONE_NUMBER_MV

  Key that represents the MAPI property `PR_BUSINESS2_TELEPHONE_NUMBER_MV` for an address entry.

### PR_LOCALITY

    public static final MapiKey PR_LOCALITY

  Key that represents the MAPI property `PR_LOCALITY` for an address entry.

### PR_BUSINESS_ADDRESS_COUNTRY

    public static final MapiKey PR_BUSINESS_ADDRESS_COUNTRY

  Key that represents the MAPI property `PR_BUSINESS_ADDRESS_COUNTRY` for an address entry.

### PR_EMS_AB_COUNTRY_NAME

    public static final MapiKey PR_EMS_AB_COUNTRY_NAME

  Key that represents the MAPI property `PR_EMS_AB_COUNTRY_NAME`

### PR_MOBILE_TELEPHONE_NUMBER

    public static final MapiKey PR_MOBILE_TELEPHONE_NUMBER

  Key that represents the MAPI property `PR_MOBILE_TELEPHONE_NUMBER`.

### PR_EMS_AB_ASSOC_NT_ACCOUNT

    public static final MapiKey PR_EMS_AB_ASSOC_NT_ACCOUNT

  Key that represents the MAPI property `PR_EMS_AB_ASSOC_NT_ACCOUNT`.

### FREEBUSY_ADDRESS

    public static final MapiKey FREEBUSY_ADDRESS

  Key that represents the address of the free/busy entry.

### FREEBUSY_RANGE_START

    public static final MapiKey FREEBUSY_RANGE_START

  Key that represents the start of the free busy data.

### FREEBUSY_RANGE_END

    public static final MapiKey FREEBUSY_RANGE_END

  Key that represents the end of the free busy data.

### FREEBUSY_ALL_MONTHS

    public static final MapiKey FREEBUSY_ALL_MONTHS

  Key that represents the months of 'all' free/busy data.

### FREEBUSY_ALL_EVENTS

    public static final MapiKey FREEBUSY_ALL_EVENTS

  Key that represents the events of 'all' free/busy data.

### FREEBUSY_TENTATIVE_MONTHS

    public static final MapiKey FREEBUSY_TENTATIVE_MONTHS

  Key that represents the months of 'tentative' free/busy data.

### FREEBUSY_TENTATIVE_EVENTS

    public static final MapiKey FREEBUSY_TENTATIVE_EVENTS

  Key that represents the events of 'tentative' free/busy data.

### FREEBUSY_BUSY_MONTHS

    public static final MapiKey FREEBUSY_BUSY_MONTHS

  Key that represents the months of 'busy' free/busy data.

### FREEBUSY_BUSY_EVENTS

    public static final MapiKey FREEBUSY_BUSY_EVENTS

  Key that represents the events of 'busy' free/busy data.

### FREEBUSY_OOF_MONTHS

    public static final MapiKey FREEBUSY_OOF_MONTHS

  Key that represents the months of 'out of office' public free/busy data.

### FREEBUSY_OOF_EVENTS

    public static final MapiKey FREEBUSY_OOF_EVENTS

  Key that represents the events of 'out of office events' free/busy data.

### LOCAL_FREEBUSY_DATA

    public static final MapiKey LOCAL_FREEBUSY_DATA

  Key that represents the local free/busy data.

### FREEBUSY_MONTHS_TO_PUBLISH

    public static final MapiKey FREEBUSY_MONTHS_TO_PUBLISH

  Key that represents the local free/busy data.

Method Detail

### createKey

    public static MapiKey createKey(int iValueType,
                                    int iProptag)

  Creates a custom MapiKey based on a property tag.

### createKey

    public static MapiKey createKey(int iProptag)

  Creates a custom MapiKey based on a property tag. This method will determine the collab data type based on the mapi property tag.
  Parameters:
    `iProptag` - the property tag used to create the key
  Returns:
    the MAPI key, with an appropriate conversion from MAPI data type to the collab data type (see `VALUE_` constants)

### createNamedPropKey

    public static MapiKey createNamedPropKey(int iValueType,
                                             java.lang.String sPropset,
                                             java.lang.String sName)

  Creates a MapiKey for a named property whose 'Kind' type is string, specifying Compoze key data types.
  Parameters:
    `iValueType` - the collab value type
    `sPropset` - the propset to use to create the named property
    `sName` - the name value of the ID

### createNamedPropKey

    public static MapiKey createNamedPropKey(int iValueType,
                                             java.lang.String sPropset,
                                             int iName)

  Creates a MapiKey for a named property whose 'Kind' type is ID, specifying Compoze key data types.
  Parameters:
    `iValueType` - the collab value type
    `sPropset` - the propset to use to create the named property
    `iName` - the name value of the ID

### getProptag

    public int getProptag()

  Gets the Proptag.
  Returns:
    the proptag, or zero if it was not defined

### getNamedPropGuid

    public java.lang.String getNamedPropGuid()

  Gets the named prop guid
  Returns:
    the named prop guid

### getNamedPropStringID

    public java.lang.String getNamedPropStringID()

  Gets the named prop string ID.
  Returns:
    the named prop name, or `null` if the named property is based on a number id

### getNamedPropIntID

    public int getNamedPropIntID()

  Gets the named prop integer ID.
  Returns:
    the named prop name

### getNamedPropKind

    public int getNamedPropKind()

  Gets the named prop 'kind'.
  Returns:
    the named prop kind (0 == id, 1 == string)

### isNamedProperty

    public boolean isNamedProperty()

  Returns if the key is a named prop.
  Returns:
    `true` if the property is a named property, `false` if the property is based on a proptag.

### findByProptag

    public static MapiKey findByProptag(int iProptag)

  Finds an exchange key based on Proptag

### createNamedPropKey

    public static MapiKey createNamedPropKey(java.lang.String sPropset,
                                             int iPropType,
                                             java.lang.String sID)

  Creates a property key based on the named property information, using MAPI property types. This method will determine the collab data type based on the mapi data type. NOTE this method is different from the other methods in that the `iPropType` is NOT the Collab type, but the MAPI specific type.
  Parameters:
    `sPropset` - the propset of the property
    `iPropType` - the MAPI prop type
    `sID` - the id of the named property;
  Returns:
    the mapi property key representing the named property

### createNamedPropKey

    public static MapiKey createNamedPropKey(java.lang.String sPropset,
                                             int iPropType,
                                             int iID)

  Creates a property key based on the named property information, using MAPI property types. This method will determine the collab data type based on the mapi data type. NOTE this method is different from the other methods in that the `iPropType` is NOT the Collab type, but the MAPI specific type.
  Parameters:
    `sPropset` - the propset of the property
    `iPropType` - the MAPI prop type
    `iID` - the id of the named property
  Returns:
    the mapi property key representing the named property

### findByName

    public static MapiKey findByName(java.lang.String sPropset,
                                     int iID)

  Finds a MapiKey based on named property information.
  Parameters:
    `sPropset` - the propset
    `iID` - the MAPI integer ID
  Returns:
    the key, or `null` if the key has not been created

### findByName

    public static MapiKey findByName(java.lang.String sPropset,
                                     java.lang.String sID)

  Finds a MapiKey based on named property information.
  Parameters:
    `sPropset` - the propset
    `sID` - the MAPI String name
  Returns:
    the key, or `null` if the key has not been created

### getString

    public java.lang.String getString()

  Returns a string representation of the key

### getPropType

    public int getPropType()

  Gets the MAPI data type of this key.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.